searchNodes=[{"doc":"An island struct and functions for the Game of Islands . The island struct contains the fields type , origin , coords and hits representing the characteristics of an island in the Game of Islands . Based on the book Functional Web Development by Lance Halvorsen.","ref":"Islands.Island.html","title":"Islands.Island","type":"module"},{"doc":"Checks if all the squares of island have been hit.","ref":"Islands.Island.html#forested?/1","title":"Islands.Island.forested?/1","type":"function"},{"doc":"Converts island 's origin into a CSS grid position. Examples iex&gt; alias Islands . { Coord , Island } iex&gt; { :ok , origin } = Coord . new ( 2 , 3 ) iex&gt; { :ok , atoll } = Island . new ( :atoll , origin ) iex&gt; Island . grid_position ( atoll ) %{ gridRowStart : 2 , gridColumnStart : 3 }","ref":"Islands.Island.html#grid_position/1","title":"Islands.Island.grid_position/1","type":"function"},{"doc":"Returns {:hit, updated_island} , where updated_island is island consequently updated if guess was a hit, or :miss otherwise.","ref":"Islands.Island.html#guess/2","title":"Islands.Island.guess/2","type":"function"},{"doc":"Returns a list of hit &quot;cells&quot; relative to the island 's origin. Examples iex&gt; alias Islands . { Coord , Island } iex&gt; { :ok , origin } = Coord . new ( 2 , 2 ) iex&gt; { :ok , atoll } = Island . new ( :atoll , origin ) iex&gt; { :ok , a1 } = Coord . new ( 2 , 2 ) iex&gt; { :ok , b1 } = Coord . new ( 2 , 3 ) iex&gt; { :ok , a3 } = Coord . new ( 4 , 2 ) iex&gt; { :hit , atoll } = Island . guess ( atoll , a1 ) iex&gt; { :hit , atoll } = Island . guess ( atoll , b1 ) iex&gt; { :hit , atoll } = Island . guess ( atoll , a3 ) iex&gt; Island . hit_cells ( atoll ) |&gt; Enum . sort ( ) [ &quot;a1&quot; , &quot;a3&quot; , &quot;b1&quot; ]","ref":"Islands.Island.html#hit_cells/1","title":"Islands.Island.hit_cells/1","type":"function"},{"doc":"Returns {:ok, island} or {:error, reason} if given an invalid type or origin . Examples iex&gt; alias Islands . { Coord , Island } iex&gt; { :ok , origin } = Coord . new ( 1 , 1 ) iex&gt; { :ok , island } = Island . new ( :dot , origin ) iex&gt; % Island { origin : ^ origin , coords : coords , hits : hits } = island iex&gt; { coords , hits } { MapSet . new ( [ origin ] ) , MapSet . new ( ) }","ref":"Islands.Island.html#new/2","title":"Islands.Island.new/2","type":"function"},{"doc":"Returns an island struct or raises if given an invalid type or origin . Examples iex&gt; alias Islands . { Coord , Island } iex&gt; origin = Coord . new! ( 1 , 1 ) iex&gt; % Island { coords : coords , hits : hits } = Island . new! ( :dot , origin ) iex&gt; { coords , hits } { MapSet . new ( [ origin ] ) , MapSet . new ( ) } iex&gt; alias Islands . { Coord , Island } iex&gt; origin = Coord . new! ( 10 , 9 ) iex&gt; Island . new! ( :square , origin ) ** (ArgumentError) cannot create island, reason: :invalid_island_location iex&gt; alias Islands.Island iex&gt; origin = %{ row : 10 , col : 9 } iex&gt; Island . new! ( :square , origin ) ** (ArgumentError) cannot create island, reason: :invalid_island_args","ref":"Islands.Island.html#new!/2","title":"Islands.Island.new!/2","type":"function"},{"doc":"Checks if new_island overlaps island . Examples iex&gt; alias Islands . { Coord , Island } iex&gt; square_origin = Coord . new! ( 1 , 1 ) iex&gt; atoll_origin = Coord . new! ( 2 , 2 ) iex&gt; square = Island . new! ( :square , square_origin ) iex&gt; atoll = Island . new! ( :atoll , atoll_origin ) iex&gt; Island . overlaps? ( atoll , square ) true","ref":"Islands.Island.html#overlaps?/2","title":"Islands.Island.overlaps?/2","type":"function"},{"doc":"A set of squares","ref":"Islands.Island.html#t:coords/0","title":"Islands.Island.coords/0","type":"type"},{"doc":"Grid cell e.g. &quot;a1&quot; or &quot;c3&quot;","ref":"Islands.Island.html#t:grid_cell/0","title":"Islands.Island.grid_cell/0","type":"type"},{"doc":"A map representing a CSS grid position","ref":"Islands.Island.html#t:grid_position/0","title":"Islands.Island.grid_position/0","type":"type"},{"doc":"An island struct for the Game of Islands","ref":"Islands.Island.html#t:t/0","title":"Islands.Island.t/0","type":"type"},{"doc":"Island type","ref":"Islands.Island.html#t:type/0","title":"Islands.Island.type/0","type":"type"},{"doc":"Returns a list of offset tuples for each island type.","ref":"Islands.Island.Offsets.html","title":"Islands.Island.Offsets","type":"module"},{"doc":"Returns a list of offset tuples for the given island_type .","ref":"Islands.Island.Offsets.html#new/1","title":"Islands.Island.Offsets.new/1","type":"function"},{"doc":"Column offset","ref":"Islands.Island.Offsets.html#t:col_offset/0","title":"Islands.Island.Offsets.col_offset/0","type":"type"},{"doc":"Row offset","ref":"Islands.Island.Offsets.html#t:row_offset/0","title":"Islands.Island.Offsets.row_offset/0","type":"type"},{"doc":"A list of offset tuples","ref":"Islands.Island.Offsets.html#t:t/0","title":"Islands.Island.Offsets.t/0","type":"type"}]